import os
from dotenv import load_dotenv

# Load environment variables from .env file
load_dotenv()

class TREnv:
    def __init__(self):
        self.my_url = os.getenv('PROD')
        self.my_app = os.getenv('PROD_APPKEY')
        self.my_sec = os.getenv('PROD_APPSECRET')

        # Debugging: Print the environment variables to ensure they are loaded
        print(f"MY_URL: {self.my_url}")
        print(f"MY_APP: {self.my_app}")
        print(f"MY_SEC: {self.my_sec}")

class KAConfig:
    def __init__(self):
        self.tr_env = TREnv()

    def getTREnv(self):
        return self.tr_env

ka = KAConfig()
