
import pandas as pd

def preprocess_stock_data(file_path):
    df = pd.read_csv(file_path)
    df['stck_bsop_date'] = pd.to_datetime(df['stck_bsop_date'], format='%Y%m%d')
    df.fillna(0, inplace=True)
    return df
