import json
import websocket

def subscribe(ws, tr_id, connect_key, tr_key):
    message = {
        "header": {
            "tr_id": tr_id,
            "tr_key": tr_key,
            "custtype": "P",  # Add custtype if required
            "encrypt": "N"
        },
        "body": {
            "connect_key": connect_key
        }
    }

    # Debugging: Log the subscription request
    print(f"Sending subscription request: {json.dumps(message)}")

    ws.send(json.dumps(message), websocket.ABNF.OPCODE_TEXT)
